Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest
Interface TestResultCache.Observer

Enclosing class:
  TestResultCache

    public static interface TestResultCache.Observer

Interface which allows an external class to monitor the cache's activities.

Method Summary
`void` | `acquiredLock()` Called when the cache has been locked.
`void` | `buildingCache(boolean reset)` Called when starting to (re)build the cache.
`void` | `buildingCache(TestResult tr)` Called when a test has been found to put in the cache.
`void` | `builtCache()` Called when the cache has been (re)built.
`void` | `error(java.lang.Throwable t)` Called when a serious error has occurred and the cache is unable to continue.
`void` | `releasedLock()` Called when the lock on the cache has been released.
`void` | `timeoutWaitingForLock()` Called when the timed out waiting for access to the cache.
`void` | `update(java.util.Map tests)` Called when tests have been read from the cache file.
`void` | `waitingForLock(long timeSoFar)` Called periodically while waiting to access the cache.

Method Detail

### update

    void update(java.util.Map tests)

  Called when tests have been read from the cache file.

  Parameters:
    `tests` - the tests that have been read

### waitingForLock

    void waitingForLock(long timeSoFar)

  Called periodically while waiting to access the cache.

  Parameters:
    `timeSoFar` - the time so far that a client has been waiting to access the cache

### timeoutWaitingForLock

    void timeoutWaitingForLock()

  Called when the timed out waiting for access to the cache.

### acquiredLock

    void acquiredLock()

  Called when the cache has been locked.

### releasedLock

    void releasedLock()

  Called when the lock on the cache has been released.

### buildingCache

    void buildingCache(boolean reset)

  Called when starting to (re)build the cache.

  Parameters:
    `reset` - currently, always true

### buildingCache

    void buildingCache(TestResult tr)

  Called when a test has been found to put in the cache.

  Parameters:
    `tr` - the test that is being put in the cache

### builtCache

    void builtCache()

  Called when the cache has been (re)built.

### error

    void error(java.lang.Throwable t)

  Called when a serious error has occurred and the cache is unable to continue.

  Parameters:
    `t` - an object identifying the error that occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.